ur_rna.StructureEditor

## Enum FileType

- java.lang.Object
- - java.lang.Enum<FileType>
  - - ur_rna.StructureEditor.FileType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<FileType>

      public enum FileType
      extends java.lang.Enum<FileType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Alignment` Alignment file.
    `AnyOpenable`
    `AnySaveable`
    `Constraints` Constraints file.
    `CT` CT (Connection Table) structure file.
    `CteDrawing` Extended CT format.
    `DotBracket` Dot-Bracket file.
    `DotPlot` Dot plot file.
    `Drawing`
    `DynalignSav` Select a Dynalign save file.
    `Fasta` FASTA Sequence file
    `FoldingSav` Select a folding save file.
    `GIF`
    `Helix` Helix format.
    `Image`
    `JPEG`
    `NsdDrawing` Native structure drawing format.
    `OligoList` Select an oligo list file.
    `OUT` Select a general OUT file.
    `PartitionSav` Select a partition function save file.
    `PNG`
    `Postscript` Postscript (PS) file.
    `Report` Oligo report file.
    `Seq` SEQ Sequence file
    `SeqGenbank` GenBank Flat File Format e.g.: https://www.ncbi.nlm.nih.gov/Sitemap/samplerecord.html
    `SeqText` Plain text Sequence file
    `Sequence`
    `SHAPE` SHAPE chemical modification file.
    `Structure`
    `SVG` Scalable Vector Graphics (SVG) File
    `VectorImage`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.util.List<FileType>` | `allTypes`
    `private java.lang.String` | `description`
    `private java.lang.String` | `extensions`
    `static java.util.Map<java.lang.String,FileType>` | `extMap`
    `static java.util.List<FileType>` | `primaryTypes`
    `private java.util.Set<FileType>` | `subTypes`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `private void` | `addExtensions(java.lang.StringBuilder sb)`
    `void` | `addFilterString(java.lang.StringBuilder sb)`
    `java.lang.String` | `firstExtension()`
    `static FileType` | `fromAny(java.lang.String typeName, java.lang.String extension, java.lang.String description, java.lang.String filePath, FileType defaultValue)`
    `static FileType` | `fromDesc(java.lang.String description)`
    `static FileType` | `fromExt(java.lang.String ext)`
    `static FileType` | `fromFilter(javax.swing.filechooser.FileFilter filter)`
    `static FileType` | `fromName(java.lang.String typeName)`
    `java.lang.String` | `getDescription()`
    `java.lang.String[]` | `getExtensions()`
    `java.lang.String` | `getFilterString()`
    `java.lang.String` | `getFilterString(boolean splitSubTypes)`
    `boolean` | `includes(FileType childType)`
    `boolean` | `isSubTypeOf(FileType... parentTypes)`
    `java.util.Set<FileType>` | `subTypes()`
    `java.lang.String` | `toString()`
    `static FileType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static FileType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Alignment

          public static final FileType Alignment

      Alignment file.

    - #### AnyOpenable

          public static final FileType AnyOpenable

    - #### AnySaveable

          public static final FileType AnySaveable

    - #### Constraints

          public static final FileType Constraints

      Constraints file.

    - #### CT

          public static final FileType CT

      CT (Connection Table) structure file.

    - #### CteDrawing

          public static final FileType CteDrawing

      Extended CT format. Similar to CT, but with additional columns for nucleobase position, bond type, and color/font styles

    - #### DotBracket

          public static final FileType DotBracket

      Dot-Bracket file.

    - #### DotPlot

          public static final FileType DotPlot

      Dot plot file.

    - #### Drawing

          public static final FileType Drawing

    - #### DynalignSav

          public static final FileType DynalignSav

      Select a Dynalign save file.

    - #### Fasta

          public static final FileType Fasta

      FASTA Sequence file

    - #### FoldingSav

          public static final FileType FoldingSav

      Select a folding save file.

    - #### GIF

          public static final FileType GIF

    - #### Helix

          public static final FileType Helix

      Helix format. (encodes bonds, but not sequence.)

    - #### Image

          public static final FileType Image

    - #### JPEG

          public static final FileType JPEG

    - #### NsdDrawing

          public static final FileType NsdDrawing

      Native structure drawing format. Similar to JSON. Encodes Bases, Bonds, and Styles separately.

    - #### OligoList

          public static final FileType OligoList

      Select an oligo list file.

    - #### OUT

          public static final FileType OUT

      Select a general OUT file.

    - #### PartitionSav

          public static final FileType PartitionSav

      Select a partition function save file.

    - #### PNG

          public static final FileType PNG

    - #### Postscript

          public static final FileType Postscript

      Postscript (PS) file.

    - #### Report

          public static final FileType Report

      Oligo report file.

    - #### Seq

          public static final FileType Seq

      SEQ Sequence file

    - #### SeqGenbank

          public static final FileType SeqGenbank

      GenBank Flat File Format e.g.: https://www.ncbi.nlm.nih.gov/Sitemap/samplerecord.html

    - #### SeqText

          public static final FileType SeqText

      Plain text Sequence file

    - #### Sequence

          public static final FileType Sequence

    - #### SHAPE

          public static final FileType SHAPE

      SHAPE chemical modification file.

    - #### Structure

          public static final FileType Structure

    - #### SVG

          public static final FileType SVG

      Scalable Vector Graphics (SVG) File

    - #### VectorImage

          public static final FileType VectorImage

  - ### Field Detail

    - #### allTypes

          public static final java.util.List<FileType> allTypes

    - #### description

          private final java.lang.String description

    - #### extensions

          private final java.lang.String extensions

    - #### extMap

          public static final java.util.Map<java.lang.String,FileType> extMap

    - #### primaryTypes

          public static final java.util.List<FileType> primaryTypes

    - #### subTypes

          private final java.util.Set<FileType> subTypes

  - ### Method Detail

    - #### addExtensions

          private void addExtensions(java.lang.StringBuilder sb)

    - #### addFilterString

          public void addFilterString(java.lang.StringBuilder sb)

    - #### firstExtension

          public java.lang.String firstExtension()

    - #### fromAny

          public static FileType fromAny(java.lang.String typeName,
                                         java.lang.String extension,
                                         java.lang.String description,
                                         java.lang.String filePath,
                                         FileType defaultValue)

    - #### fromDesc

          public static FileType fromDesc(java.lang.String description)

    - #### fromExt

          public static FileType fromExt(java.lang.String ext)

    - #### fromFilter

          public static FileType fromFilter(javax.swing.filechooser.FileFilter filter)

    - #### fromName

          public static FileType fromName(java.lang.String typeName)

    - #### getDescription

          public java.lang.String getDescription()

    - #### getExtensions

          public java.lang.String[] getExtensions()

    - #### getFilterString

          public java.lang.String getFilterString()

    - #### getFilterString

          public java.lang.String getFilterString(boolean splitSubTypes)

    - #### includes

          public boolean includes(FileType childType)

    - #### isSubTypeOf

          public boolean isSubTypeOf(FileType... parentTypes)

    - #### subTypes

          public java.util.Set<FileType> subTypes()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<FileType>`

    - #### valueOf

          public static FileType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### values

          public static FileType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FileType c : FileType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared